roarpluginrunner(1)

NAME

roarpluginrunner - Run RoarAudio plugins

SYNOPSIS

roarpluginrunner [OPTIONS]... PLUGIN

DESCRIPTION

This tool can be used to run RoarAudio plugins or report information about the plugin. roarpluginrunner loads the plugins in a plugin container with the given parameters passed. This allows you to run all universal plugins as well as some other plugins out side a specific host. It can also be used for Testing the plugins.

There are three modes of operation: Running, Running as application and Explaining. The first mode (Running) is what most host applications will do. Running as application is different in the way that all parameters left on the command line after the plugin name are parsed and passed to the plugin as plugin arguments.

In this mode parameters passed after the plugin name are split into key-value-pairs. An option (beginning with two dashes) are passed as pair with the option name (the dashes) removed as key and no value. If it contains a equality sign the part after it is passed as value. Options with a single dash are split each letter into an own key-value-pair with only the key set. Non-option arguments (with no dashes) are passed as value-only pairs. After a pure double dash all parameters are passed as non-options with the double dash completely removed from the key-value-array.

In the explain mode the plugin is loaded but not run. The meta information about the plugin are reported. This includes true meta data like the name, authors and copyright but also technical meta data like the host application's name the plugin is written for.

When the plugin uses symbols from the host directly the plugin may not be loaded into roarpluginrunner because of the system's library loader limits. On GNU/Linux (and other POSIX like implementations) this is only true if the plugin uses global variables of the host. Plugins using functions of the host can still be loaded in this mode.

OPTIONS

-h --help
    Prints a help message.

-v --verbose
    Be verbose. Can be used multiple times.

--server SERVER
    Set default server to SERVER.

--run
    Run plugin.

--run-as-application
    Same as --run except all tailing arguments are passed to the plugin. This is also used by roarpluginapplication(1).

--explain
    Explain plugin. This lists all details about the plugin without actually running it.

--appname NAME
    Sets the appname.

--abiversion ABI
    Set the ABI version.

--args ARGS
    Set plugin arguments.

RUNNER OPTIONS

--option-touch
    Do not keep the plugin running: Do a single UPDATE cycle.

--option-no-touch
    Disable touch option.

--option-about
    Show an about dialog after startup.

--option-no-about
    Disable about option.

--option-help
    Show onlion help after startup.

--option-no-help
    Disable help option.

--option-preferences
    Show preferences dialog after startup.

--option-no-preferences
    Disable preferences option.

CPI OPTIONS

-t --tcp
    Use TCP listen socket.

-u --unix
    Use UNIX Domain listen socket (default).

-n --decnet
    use DECnet listen socket.

--port PORT
    TCP Port to bind to. Only in case of TCP listen sockets.

--bind ADDR
    Node/Hostname/Path to bind to.

--proto PROTO
    Use PROTO as protocol on listen or client socket.

--new-sock
    Parameters for new socket follow.

--client-fh FH
    Comunicate with a client over this handle.

BUGS
--client-fh may not work as expected.

SEE ALSO
roarpluginapplication(1), roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).